-- U.S.G.N. Login
-- commands.lua

function yates.func.say.usgnregister()
    local usgn = player(_id, "usgn")

    if usgn == 0 then
        yatesMessage(_id, "You need to be logged into a U.S.G.N. account!", "warning", usgn_login.setting.message_prefix)
        return 1
    end

    if not _tbl[2] then
        yatesMessage(_id, "You have not provided a password!", "warning", usgn_login.setting.message_prefix)
        return 1
    end
    local password = _tbl[2]

    if _PLAYER[usgn] and _PLAYER[usgn].password then
        yatesMessage(_id, "This U.S.G.N. ID has already been registered!", "warning", usgn_login.setting.message_prefix)
        return 1
    end

    usgn_login.register(id, usgn, password)
end
setSayHelp("usgnregister", "<password>")
setSayDesc("usgnregister", "Registers the current U.S.G.N. ID you are logged in to.")

function yates.func.say.usgnlogin()
    if not _tbl[2] then
        yatesMessage(_id, "You have not provided a U.S.G.N. ID!", "warning", usgn_login.setting.message_prefix)
        return 1
    end
    local usgn = tonumber(_tbl[2])

    if not _tbl[3] then
        yatesMessage(_id, "You have not provided a password!", "warning", usgn_login.setting.message_prefix)
        return 1
    end
    local password = _tbl[3]

    if not _PLAYER[usgn] or not _PLAYER[usgn].password then
        yatesMessage(_id, "This U.S.G.N. ID has not been registered!", "warning", usgn_login.setting.message_prefix)
        return 1
    end

    if _PLAYER[usgn].password ~= password then
        yatesMessage(_id, "The provided U.S.G.N. ID or password is incorrect!", "warning", usgn_login.setting.message_prefix)
        return 1
    end

    usgn_login.login(_id, usgn, password)
end
setSayHelp("usgnlogin", "<usgn> <password>")

function yates.func.say.usgnpassword()
    local usgn = player(_id, "usgn")

    if usgn == 0 then
        yatesMessage(_id, "You need to be logged into a U.S.G.N. account!", "warning", usgn_login.setting.message_prefix)
        return 1
    end

    if not _tbl[2] then
        yatesMessage(_id, "You have not provided your old password!", "warning", usgn_login.setting.message_prefix)
        return 1
    end
    local old_password = _tbl[2]

    if not _tbl[3] then
        yatesMessage(_id, "You have not provided a new password!", "warning", usgn_login.setting.message_prefix)
        return 1
    end
    local new_password = _tbl[3]

    if _PLAYER[usgn].password ~= old_password then
        yatesMessage(_id, "The provided password is incorrect!", "warning", usgn_login.setting.message_prefix)
        return 1
    end

    usgn_login.register(id, usgn, new_password, true)
end
setSayHelp("usgnpassword", "<oldpassword> <newpassword>")
setSayDesc("usgnpassword", "Changes the password of the current U.S.G.N. ID you are logged in to.")